Skip to content
Back to top
View this page

# `incus import`

Import instance backups

## Synopsis

[96;1;4mDescription:[0;22;24m
Import backups of instances including their snapshots.

    incus import [2m[[22m[32m<remote>[0m:[2m][22m [32m<backup file>[0m [2m[[22m[32m<new instance name>[0m[2m][22m [flags]

## Examples

      incus import backup0.tar.gz
          Create a new instance using backup0.tar.gz as the source.

## Options

      -c, --config    Config key/value to apply to the new instance
      -d, --device    New key/value to apply to a specific device
      -s, --storage   Storage pool name

## Options inherited from parent commands

          --debug          Show all debug messages
          --explain        If the command is valid, explain its parsed arguments instead of running it
          --force-local    Force using the local unix socket
      -h, --help           Print help
          --project        Override the source project
      -q, --quiet          Don't show progress information
          --sub-commands   Use with help or --help to view sub-commands
      -v, --verbose        Show all information messages
          --version        Print version number

## SEE ALSO

- incus - Command line client for Incus